nginx with broken library zlib1g-dev for SSL on Debian 40r6

Raimon Fs lists at
Sat Jan 31 14:55:49 MSK 2009


I've had installed nginx on OS X without any problem, but I'm totally
lost trying to install it on a Debain 40r6 on i386

The Kernel is:
debian:/tmp/nginx-0.6.35# uname -r

I don't know how to install the zlib1g-dev, as I want nginx with ssl on.

No matter if I install all the libraries one by one or all at the same

debian:/tmp/nginx-0.6.35# sudo aptitude install libpcre3 libpcre3-dev
libpcrecpp0 libssl-dev zlib1g-dev
Reading package lists... Done
Building dependency tree... Done
Reading extended state information
Initializing package states... Done
Reading task descriptions... Done
Building tag database... Done
No candidate version found for zlib1g-dev
The following packages are BROKEN:
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 2094kB of archives. After unpacking 5808kB will be used.
The following packages have unmet dependencies:
  libssl-dev: Depends: zlib1g-dev which is a virtual package.
Resolving dependencies...
Unable to resolve dependencies!  Giving up...

any info, guide, help, anything   would be great ......

thanks !

Posted via

More information about the nginx mailing list